using System;
using System.Data;
using System.Data.AccessClient;
using System.Collections.Generic;
using System.Text;
using Medivators.BusinessObjects;
using Medivators.Common;
using Medivators.Data;


namespace Medivators.Data.Queries
{
	public class SelectCycleReportLogRecords : SynchronousExecute
	{
		public List<IBusinessObject> Select(string CycleReportKey)
		{
			string sql = string.Empty;
			List<IBusinessObject> rtn = null;

			sql += " select * from CycleReportLogRecords ";
			sql += " where  CycleReportKey=";
			sql += Constants.DoubleQuote + CycleReportKey + Constants.DoubleQuote;
			try
			{
				JoinTableMapper mapper = new JoinTableMapper();
				rtn = base.Select(sql,mapper);
			}
			catch (Exception ex)
			{
				ErrorHandler.GetInstance().LogException("SelectCycleReportLogRecords", ex);
				rtn = null;
			}
			return rtn;
		}
	}
}
